<?php
namespace PHPMaker2020\project2;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$estados_edit = new estados_edit();

// Run the page
$estados_edit->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$estados_edit->Page_Render();
?>
<?php include_once "header.php"; ?>
<script>
var festadosedit, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "edit";
	festadosedit = currentForm = new ew.Form("festadosedit", "edit");

	// Validate form
	festadosedit.validate = function() {
		if (!this.validateRequired)
			return true; // Ignore validation
		var $ = jQuery, fobj = this.getForm(), $fobj = $(fobj);
		if ($fobj.find("#confirm").val() == "F")
			return true;
		var elm, felm, uelm, addcnt = 0;
		var $k = $fobj.find("#" + this.formKeyCountName); // Get key_count
		var rowcnt = ($k[0]) ? parseInt($k.val(), 10) : 1;
		var startcnt = (rowcnt == 0) ? 0 : 1; // Check rowcnt == 0 => Inline-Add
		var gridinsert = ["insert", "gridinsert"].includes($fobj.find("#action").val()) && $k[0];
		for (var i = startcnt; i <= rowcnt; i++) {
			var infix = ($k[0]) ? String(i) : "";
			$fobj.data("rowindex", infix);
			<?php if ($estados_edit->id->Required) { ?>
				elm = this.getElements("x" + infix + "_id");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $estados_edit->id->caption(), $estados_edit->id->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($estados_edit->color->Required) { ?>
				elm = this.getElements("x" + infix + "_color");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $estados_edit->color->caption(), $estados_edit->color->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($estados_edit->nombre->Required) { ?>
				elm = this.getElements("x" + infix + "_nombre");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $estados_edit->nombre->caption(), $estados_edit->nombre->RequiredErrorMessage)) ?>");
			<?php } ?>

				// Call Form_CustomValidate event
				if (!this.Form_CustomValidate(fobj))
					return false;
		}

		// Process detail forms
		var dfs = $fobj.find("input[name='detailpage']").get();
		for (var i = 0; i < dfs.length; i++) {
			var df = dfs[i], val = df.value;
			if (val && ew.forms[val])
				if (!ew.forms[val].validate())
					return false;
		}
		return true;
	}

	// Form_CustomValidate
	festadosedit.Form_CustomValidate = function(fobj) { // DO NOT CHANGE THIS LINE!

		// Your custom validation code here, return false if invalid.
		return true;
	}

	// Use JavaScript validation or not
	festadosedit.validateRequired = <?php echo Config("CLIENT_VALIDATE") ? "true" : "false" ?>;

	// Dynamic selection lists
	loadjs.done("festadosedit");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php $estados_edit->showPageHeader(); ?>
<?php
$estados_edit->showMessage();
?>
<form name="festadosedit" id="festadosedit" class="<?php echo $estados_edit->FormClassName ?>" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="estados">
<input type="hidden" name="action" id="action" value="update">
<input type="hidden" name="modal" value="<?php echo (int)$estados_edit->IsModal ?>">
<div class="ew-edit-div"><!-- page* -->
<?php if ($estados_edit->id->Visible) { // id ?>
	<div id="r_id" class="form-group row">
		<label id="elh_estados_id" class="<?php echo $estados_edit->LeftColumnClass ?>"><?php echo $estados_edit->id->caption() ?><?php echo $estados_edit->id->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $estados_edit->RightColumnClass ?>"><div <?php echo $estados_edit->id->cellAttributes() ?>>
<span id="el_estados_id">
<span<?php echo $estados_edit->id->viewAttributes() ?>><input type="text" readonly class="form-control-plaintext" value="<?php echo HtmlEncode(RemoveHtml($estados_edit->id->EditValue)) ?>"></span>
</span>
<input type="hidden" data-table="estados" data-field="x_id" name="x_id" id="x_id" value="<?php echo HtmlEncode($estados_edit->id->CurrentValue) ?>">
<?php echo $estados_edit->id->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($estados_edit->color->Visible) { // color ?>
	<div id="r_color" class="form-group row">
		<label id="elh_estados_color" for="x_color" class="<?php echo $estados_edit->LeftColumnClass ?>"><?php echo $estados_edit->color->caption() ?><?php echo $estados_edit->color->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $estados_edit->RightColumnClass ?>"><div <?php echo $estados_edit->color->cellAttributes() ?>>
<span id="el_estados_color">
<input type="text" data-table="estados" data-field="x_color" name="x_color" id="x_color" size="30" maxlength="20" placeholder="<?php echo HtmlEncode($estados_edit->color->getPlaceHolder()) ?>" value="<?php echo $estados_edit->color->EditValue ?>"<?php echo $estados_edit->color->editAttributes() ?>>
</span>
<?php echo $estados_edit->color->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($estados_edit->nombre->Visible) { // nombre ?>
	<div id="r_nombre" class="form-group row">
		<label id="elh_estados_nombre" for="x_nombre" class="<?php echo $estados_edit->LeftColumnClass ?>"><?php echo $estados_edit->nombre->caption() ?><?php echo $estados_edit->nombre->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $estados_edit->RightColumnClass ?>"><div <?php echo $estados_edit->nombre->cellAttributes() ?>>
<span id="el_estados_nombre">
<input type="text" data-table="estados" data-field="x_nombre" name="x_nombre" id="x_nombre" size="30" maxlength="80" placeholder="<?php echo HtmlEncode($estados_edit->nombre->getPlaceHolder()) ?>" value="<?php echo $estados_edit->nombre->EditValue ?>"<?php echo $estados_edit->nombre->editAttributes() ?>>
</span>
<?php echo $estados_edit->nombre->CustomMsg ?></div></div>
	</div>
<?php } ?>
</div><!-- /page* -->
<?php if (!$estados_edit->IsModal) { ?>
<div class="form-group row"><!-- buttons .form-group -->
	<div class="<?php echo $estados_edit->OffsetColumnClass ?>"><!-- buttons offset -->
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("SaveBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $estados_edit->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
	</div><!-- /buttons offset -->
</div><!-- /buttons .form-group -->
<?php } ?>
</form>
<?php
$estados_edit->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php include_once "footer.php"; ?>
<?php
$estados_edit->terminate();
?>